//ħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħ
//
// Shock Integrated Virtual Video Engine (SIVE) 1.4
//
// Developed by Tsc/Shock!
//
//ħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħħ

#include "vesa.c"

#pragma aux fakemain "_*" parm caller [];
extern void fakemain(void);

#pragma aux set640x480x24 "_*" parm caller [];
extern void set640x480x24(void);

#pragma aux set640x480x8 "_*" parm caller [];
extern void set640x480x8(void);

#pragma aux disp640x480x8 "_*" parm caller [];
extern void disp640x480x8(byte *from);

#pragma aux disp320x200x256 "_*" parm caller [];
extern void disp640x480x8(byte *from);

#pragma aux set320x200x24p "_*" parm caller [];
extern void set320x200x24p(void);

#pragma aux set320x200x256 "_*" parm caller [];
extern void set320x200x256(void);

#pragma aux set80x25x16 "_*" parm caller [];
extern void set80x25x16(void);

#pragma aux setpal8 "_*" parm caller [];
extern void setpal8(byte *from);

#pragma aux setpal8brighten "_*" parm caller [];
extern void setpal8brighten(byte *from);

#pragma aux setpal4 "_*" parm caller [];
extern void setpal4(byte *from);

#pragma aux darkenpal "_*" parm caller [];
extern void darkenpal(void);

#pragma aux hivetest "_*" parm caller [];
extern void hivetest(void);

#pragma aux rasterwait "_*" parm caller [];
extern void rasterwait(void);

#pragma aux palmorph "_*" parm caller [];
extern void palmorph(byte *from,byte *to);

#pragma aux motionblur "_*" parm caller [];
extern void motionblur(byte *from);

#pragma aux motionblur2 "_*" parm caller [];
extern void motionblur2(byte *from);

#pragma aux motionblur3 "_*" parm caller [];
extern void motionblur3(byte *from);

#pragma aux motionblur4 "_*" parm caller [];
extern void motionblur4(byte *from);

#pragma aux motionblur5 "_*" parm caller [];
extern void motionblur5(byte *from);

#pragma aux clear256k "_*" parm caller [];
extern void clear256k(void);

#pragma aux headermessy "_*" parm caller [];
extern void headermessy(void);

#pragma aux putlogo "_*" parm caller [];
extern void putlogo(byte *from,byte *to,dword eltolas,dword xsize,dword ysize);

void siveinit(void)
{
	vesa_addy=0;
	vesa_get_mode_info(0x101);
	hivetest();
}
